## td-system-tools-2.0.9.tar.xz

=== CMakeLists.txt ===
#         ____            _                     _____           _
#        / ___| _   _ ___| |_ ___ _ __ ___     |_   _|__   ___ | |___
#        \___ \| | | / __| __/ _ \ '_ ` _ \ _____| |/ _ \ / _ \| / __|
#         ___) | |_| \__ \ ||  __/ | | | | |_____| | (_) | (_) | \__ \
#        |____/ \__, |___/\__\___|_| |_| |_|     |_|\___/ \___/|_|___/
#               |___/
#                             --- System-Tools ---
#                  https://www.nntb.no/~dreibh/system-tools/
# ==========================================================================
#
# System-Tools
# Copyright (C) 2013-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: dreibh@simula.no


CMAKE_MINIMUM_REQUIRED(VERSION 3.5)
PROJECT(td-system-tools)
ENABLE_LANGUAGE(C)

SET(BUILD_MAJOR "2")
SET(BUILD_MINOR "0")
SET(BUILD_PATCH "9")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})


#############################################################################
#### INSTALLATION_DIRECTORIES                                            ####
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
#### PACKAGING                                                           ####
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.git;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}[_-]")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "\\\\.cmake$|\\\\.make$|\\\\.log$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/CMakeCache\\\\.txt$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/(CMakeFiles|CMakeScripts|_CPack_Packages)/")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/package-version\\\\.h$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/packaging\\\\.conf$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/(po.*/|src.*/|)Makefile$")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


#############################################################################
#### UNINSTALL                                                           ####
#############################################################################

IF(NOT TARGET uninstall)
   CONFIGURE_FILE(
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)

   ADD_CUSTOM_TARGET(uninstall
      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
ENDIF()


#############################################################################
#### OS DEPENDENT                                                        ####
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
   MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
   MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
   SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
   SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
   INCLUDE_DIRECTORIES("/usr/local/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
   MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
   SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
   SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
   INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")

ELSE()
   MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
#### INTERNATIONALISATION (I18N)                                         ####
#############################################################################

FIND_PACKAGE (Intl)
IF (Intl_FOUND)
   MESSAGE(STATUS "Internationalization (i18n) found:")
   MESSAGE(STATUS " INTL_INCLUDE_DIRS: ${Intl_INCLUDE_DIRS}")
   MESSAGE(STATUS " INTL_LIBRARIES: ${Intl_LIBRARIES}")
   MESSAGE(STATUS " Version: ${Intl_VERSION}")
   INCLUDE_DIRECTORIES(${Intl_INCLUDE_DIRS})
   LINK_DIRECTORIES(${Intl_LIBRARY_DIRS})
ELSE()
   MESSAGE(STATUS "Internationalization (i18n) not found!")
ENDIF()

FIND_PROGRAM(XGETTEXT xgettext REQUIRED)
FIND_PROGRAM(MSGMERGE msgmerge REQUIRED)
FIND_PROGRAM(MSGFMT   msgfmt   REQUIRED)


#############################################################################
#### SUBDIRECTORIES                                                      ####
#############################################################################

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(po)

=== po/CMakeLists.txt ===
#         ____            _                     _____           _
#        / ___| _   _ ___| |_ ___ _ __ ___     |_   _|__   ___ | |___
#        \___ \| | | / __| __/ _ \ '_ ` _ \ _____| |/ _ \ / _ \| / __|
#         ___) | |_| \__ \ ||  __/ | | | | |_____| | (_) | (_) | \__ \
#        |____/ \__, |___/\__\___|_| |_| |_|     |_|\___/ \___/|_|___/
#               |___/
#                             --- System-Tools ---
#                  https://www.nntb.no/~dreibh/system-tools/
# ==========================================================================
#
# System-Tools
# Copyright (C) 2013-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com


#############################################################################
#### TRANSLATIONS                                                        ####
#############################################################################

SET(copyrightHolder   "Copyright (C) 2013-2025 by Thomas Dreibholz")
SET(bugTrackerAddress "https://github.com/dreibh/system-tools/issues")

FILE(GLOB sources "*.sources")

# ====== Find all text domains ==============================================
FOREACH(source IN LISTS sources)
   # The .sources file lists the source files for each text domain:
   GET_FILENAME_COMPONENT(potFile "${source}" NAME_WE)
   SET(potFile "${CMAKE_CURRENT_BINARY_DIR}/${potFile}.pot")
   GET_FILENAME_COMPONENT(textdomain "${source}" NAME_WE)


   # ====== Create POT file (translation template) ==========================
   FILE(READ "${source}" potInputFiles)
   STRING(REGEX REPLACE "\n" ";" potInputFiles "${potInputFiles}")
   SET(LIST potInputFilesAbsolute "")
   SET(potSourceLanguageOption "--language=Shell")   # Assume Shell scripts
   FOREACH(file ${potInputFiles})
      GET_FILENAME_COMPONENT(sourceExtension ${file} EXT)
      # Source is C/C++ -> remove --language=Shell option!
      IF ( ("${sourceExtension}" STREQUAL ".c") OR ("${sourceExtension}" STREQUAL ".c") )
         SET(potSourceLanguageOption "")
      ENDIF()
      LIST(APPEND potInputFilesAbsolute ${potInputFilesAbsolute} "${PROJECT_SOURCE_DIR}/${file}")
   ENDFOREACH()

   MESSAGE("Translation template: ${textdomain} (${potInputFiles} -> ${potFile})")
   ADD_CUSTOM_COMMAND(OUTPUT "${potFile}"
                      COMMAND "${XGETTEXT}"
                         ${potSourceLanguageOption}
                         --from-code=utf-8
                         --default-domain="${textdomain}"
                         --package-name="${PROJECT_NAME}"
                         --package-version="${BUILD_VERSION}"
                         --copyright-holder="${copyrightHolder}"
                         --msgid-bugs-address="${bugTrackerAddress}"
                         -p "${CMAKE_CURRENT_SOURCE_DIR}"
                         -o "${potFile}"
                         ${potInputFiles}
                       COMMAND sed -e "s/charset=CHARSET/charset=UTF-8/g" -i~ "${potFile}"
                       WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
                       DEPENDS ${potInputFilesAbsolute} "${source}"
                       VERBATIM)
   SET(generate_PotFile "generate_pot_${textdomain}")
   ADD_CUSTOM_TARGET(${generate_PotFile} ALL DEPENDS "${potFile}")


   # ====== Process PO files (translations) =================================
   FILE(GLOB_RECURSE poFiles "*/${textdomain}.po")
   FOREACH(poFile IN LISTS poFiles)

      # ====== Update PO file (translation) =================================
      GET_FILENAME_COMPONENT(languageDirectory "${poFile}" DIRECTORY)
      GET_FILENAME_COMPONENT(language "${languageDirectory}" NAME "${CMAKE_CURRENT_SOURCE_DIR}")
      SET(poStampFile "${CMAKE_CURRENT_BINARY_DIR}/${language}/.${textdomain}.po.stamp")

      MESSAGE("Translation update: ${textdomain}, ${language} (${potFile} -> ${poFile})")
      # The .po file cannot be OUTPUT, since "make clean" would then delete it
      # => Using a stamp file as placeholder to ensure the dependency.
      ADD_CUSTOM_COMMAND(OUTPUT "${poStampFile}"
                         COMMAND "${MSGMERGE}"
                            --update "${poFile}" "${potFile}"
                         COMMAND touch "${poStampFile}"
                         WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
                         DEPENDS ${generate_PotFile} "${potFile}")
      SET(generate_PoFile "generate_po_${textdomain}_${language}")
      ADD_CUSTOM_TARGET(${generate_PoFile} DEPENDS "${poStampFile}")


      # ====== Compile PO file to MO file ===================================
      FILE(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${language}/LC_MESSAGES")
      SET(moFile "${CMAKE_CURRENT_BINARY_DIR}/${language}/LC_MESSAGES/${textdomain}.mo")

      MESSAGE("Compiling translation: ${textdomain}, ${language} (${poFile} -> ${moFile})")
      ADD_CUSTOM_COMMAND(OUTPUT "${moFile}"
                         COMMAND "${MSGFMT}"
                            --statistics
                            --check
                            --output-file="${moFile}"
                            ${poFile}
                         WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
                         DEPENDS ${generate_PoFile} "${poFile}")
      SET(generate_MoFile "generate_mo_${textdomain}_${language}")
      ADD_CUSTOM_TARGET(${generate_MoFile} ALL DEPENDS "${moFile}")


      # ====== Install MO file ==============================================
      INSTALL(FILES "${moFile}"
              DESTINATION "${CMAKE_INSTALL_DATADIR}/locale/${language}/LC_MESSAGES")

   ENDFOREACH()
ENDFOREACH()

=== src/CMakeLists.txt ===
#         ____            _                     _____           _
#        / ___| _   _ ___| |_ ___ _ __ ___     |_   _|__   ___ | |___
#        \___ \| | | / __| __/ _ \ '_ ` _ \ _____| |/ _ \ / _ \| / __|
#         ___) | |_| \__ \ ||  __/ | | | | |_____| | (_) | (_) | \__ \
#        |____/ \__, |___/\__\___|_| |_| |_|     |_|\___/ \___/|_|___/
#               |___/
#                             --- System-Tools ---
#                  https://www.nntb.no/~dreibh/system-tools/
# ==========================================================================
#
# System-Tools
# Copyright (C) 2013-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com


#############################################################################
#### VERSION FILE                                                        ####
#############################################################################

CONFIGURE_FILE (
   "${CMAKE_CURRENT_SOURCE_DIR}/package-version.h.in"
   "${CMAKE_CURRENT_BINARY_DIR}/package-version.h"
)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})


#############################################################################
#### PROGRAMS                                                            ####
#############################################################################

INSTALL(PROGRAMS System-Info DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES System-Info.1  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       System-Info.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      System-Info)

INSTALL(PROGRAMS System-Maintenance DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES System-Maintenance.1  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       System-Maintenance.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      System-Maintenance)

INSTALL(PROGRAMS Reset-Machine-ID DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES Reset-Machine-ID.1  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       Reset-Machine-ID.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      Reset-Machine-ID)

INSTALL(PROGRAMS Fingerprint-SSH-Keys DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES Fingerprint-SSH-Keys.1  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       Fingerprint-SSH-Keys.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      Fingerprint-SSH-Keys)

INSTALL(PROGRAMS configure-grub DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES configure-grub.1  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       configure-grub.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      configure-grub)

ADD_EXECUTABLE(get-system-info get-system-info.c)
SET_PROPERTY(TARGET get-system-info PROPERTY C_STANDARD 11)
INSTALL(TARGETS get-system-info DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES get-system-info.1  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       get-system-info.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      get-system-info)

ADD_EXECUTABLE(print-utf8 print-utf8.c)
SET_PROPERTY(TARGET print-utf8 PROPERTY C_STANDARD 11)
INSTALL(TARGETS print-utf8 DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES print-utf8.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES              print-utf8.bash-completion
        DESTINATION        ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME             print-utf8)

ADD_EXECUTABLE(random-sleep random-sleep.c)
TARGET_LINK_LIBRARIES(random-sleep ${Intl_LIBRARIES})
INSTALL(TARGETS     random-sleep DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES       random-sleep.1  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       random-sleep.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      random-sleep)

INSTALL(PROGRAMS    try-hard DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES       try-hard.1  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       try-hard.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      try-hard)


#############################################################################
#### CONFIGURATION FILES                                                 ####
#############################################################################

INSTALL(PROGRAMS system-info.d/01-example    DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/system-info.d)
INSTALL(PROGRAMS system-info.d/banner-helper DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/system-info.d)

INSTALL(PROGRAMS system-maintenance.d/XX-example DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/system-maintenance.d)

INSTALL(FILES profile.d/system-info.sh  DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/profile.d)
INSTALL(FILES profile.d/system-info.csh DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/profile.d)


#############################################################################
#### EXAMPLES                                                            ####
#############################################################################

INSTALL(PROGRAMS system-info.d/01-example              DESTINATION ${CMAKE_INSTALL_DATADIR}/System-Info)
INSTALL(PROGRAMS system-info.d/09-hostname-example     DESTINATION ${CMAKE_INSTALL_DATADIR}/System-Info)
INSTALL(PROGRAMS system-info.d/10-company-logo-example DESTINATION ${CMAKE_INSTALL_DATADIR}/System-Info)
INSTALL(PROGRAMS system-info.d/banner-helper           DESTINATION ${CMAKE_INSTALL_DATADIR}/System-Info)

INSTALL(FILES grub-defaults-nornet   DESTINATION ${CMAKE_INSTALL_DATADIR}/configure-grub)
INSTALL(FILES grub-defaults-standard DESTINATION ${CMAKE_INSTALL_DATADIR}/configure-grub)

=== freebsd/td-system-tools/Makefile ===
PORTNAME=	td-system-tools
DISTVERSION=	2.0.9
CATEGORIES=	net
MASTER_SITES=	https://www.nntb.no/~dreibh/system-tools/download/

MAINTAINER=	thomas.dreibholz@gmail.com
COMMENT=	Printing basic system information and system maintenance
WWW=		https://www.nntb.no/~dreibh/system-tools/

LICENSE=	GPLv3+
LICENSE_FILE=	${WRKSRC}/COPYING

RUN_DEPENDS=	bash:shells/bash \
		mbuffer:misc/mbuffer \
		figlet:misc/figlet

USES=		cmake gettext tar:xz
CMAKE_ARGS=	-DCMAKE_INSTALL_MANDIR=${PREFIX}/share/man

.include <bsd.port.mk>

=== debian/changelog ===
td-system-tools (2.0.9-1ubuntu1) trixie; urgency=medium

  * New upstream release.
  * Closes: #1073548 (ITP).
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 14 Apr 2025 09:35:37 +0200

td-system-tools (2.0.8-1ubuntu1) trixie; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.1.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 05 Mar 2025 13:38:01 +0100

td-system-tools (2.0.7-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 20 Dec 2024 14:41:39 +0100

td-system-tools (2.0.6-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 18 Dec 2024 20:32:06 +0100

td-system-tools (2.0.5-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 13 Dec 2024 21:31:00 +0100

td-system-tools (2.0.4-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 03 Dec 2024 23:04:10 +0100

td-system-tools (2.0.3-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 12 Nov 2024 20:37:07 +0100

td-system-tools (2.0.2-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 02 Nov 2024 14:44:43 +0100

td-system-tools (2.0.1-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 25 Oct 2024 10:08:41 +0200

td-system-tools (2.0.0-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 11 Oct 2024 13:41:39 +0200

td-system-tools (1.7.2-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 28 Aug 2024 16:36:07 +0200

td-system-tools (1.7.1-1ubuntu1) noble; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.0.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 07 Aug 2024 21:46:58 +0200

td-system-tools (1.7.0-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 17 Jun 2024 13:38:10 +0200

td-system-tools (1.6.1-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Thu, 04 Apr 2024 12:30:26 +0200

td-system-tools (1.6.0-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 31 Mar 2024 11:41:59 +0200

td-system-tools (1.5.6-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 06 Dec 2023 16:54:47 +0100

td-system-tools (1.5.5-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 21 Jun 2023 10:22:02 +0200

td-system-tools (1.5.4-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 19 Apr 2023 22:33:27 +0200

td-system-tools (1.5.3-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Thu, 09 Mar 2023 15:12:44 +0100

td-system-tools (1.5.2-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 08 Feb 2023 11:37:08 +0100

td-system-tools (1.5.1-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 11 Sep 2022 13:04:24 +0200

td-system-tools (1.5.0-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 13 May 2022 12:38:25 +0200

td-system-tools (1.4.0-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 21 Mar 2022 16:41:50 +0100

td-system-tools (1.3.1-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 16 Feb 2022 12:28:29 +0100

td-system-tools (1.3.0-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 04 Feb 2022 13:00:24 +0100

td-system-tools (1.2.1-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 12 Nov 2021 14:46:57 +0100

td-system-tools (1.2.0-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 03 May 2021 19:55:25 +0200

td-system-tools (1.1.6-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 06 Mar 2021 23:40:27 +0100

td-system-tools (1.1.5-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.1.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 17 Feb 2021 18:32:00 +0100

td-system-tools (1.1.4-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 26 Nov 2020 13:00:22 +0100

td-system-tools (1.1.3-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 13 Nov 2020 19:00:45 +0100

td-system-tools (1.1.2-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 15 Oct 2020 15:17:15 +0200

td-system-tools (1.1.1-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 09 Oct 2020 14:11:37 +0200

td-system-tools (1.1.0-1ubuntu1) focal; urgency=medium

  * New upstream release.



=== debian/control ===
Source: td-system-tools
Section: utils
Priority: optional
Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
Homepage: https://www.nntb.no/~dreibh/system-tools/
Vcs-Git: https://github.com/dreibh/system-tools.git
Vcs-Browser: https://github.com/dreibh/system-tools
Build-Depends: cmake (>= 3.5) | cmake3,
               debhelper (>= 9)
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: td-system-info
Architecture: all
Depends: figlet | toilet,
         gettext-base,
         mbuffer | buffer,
         td-get-system-info (>= ${source:Version}),
         td-print-utf8 (>= ${source:Version}),
         ${misc:Depends}
Recommends: iputils-ping,
            iputils-tracepath,
            subnetcalc
Description: Print basic system information and banners
 This program displays basic status information about the system:
 hostname, uptime, CPU, memory statistics, disk space statistics,
 SSH public key hashes, and networking information. Furthermore,
 it can be configured to show one or more banners (for example,
 a project name).
 System-Info can be configured to be automatically run when logging
 in, providing the user an up-to-date overview of the system.

Package: td-system-maintenance
Architecture: all
Depends: apt-show-versions,
         gettext-base,
         sudo,
         ${misc:Depends}
Recommends: td-system-info
Description: Perform basic system maintenance
 This program runs basic system maintenance tasks:
 trying to repair broken package management, updating the package
 management databases, installing all available updates, checking
 for old kernels and removing them, trim SSD or unmap unused storage.

Package: td-reset-machine-id
Architecture: all
Depends: gettext-base,
         sudo,
         ${misc:Depends}
Provides: td-system-reset-machine-id
Replaces: td-system-reset-machine-id
Breaks: td-system-reset-machine-id (<< ${source:Version})
Recommends: td-system-info,
            td-system-maintenance
Description: Reset machine identity state
 This program helps to reset the machine identity state:
 reset machine ID, change hostname, replace SSH keys, suggest hardened
 SSH client and server settings.

Package: td-fingerprint-ssh-keys
Architecture: all
Depends: gettext-base,
         ${misc:Depends}
Provides: td-system-fingerprint-ssh-keys
Replaces: td-system-fingerprint-ssh-keys
Breaks: td-system-fingerprint-ssh-keys (<< ${source:Version})
Recommends: td-system-info
Description: Print SSH key fingerprints
 This program prints the SSH key fingerprints of the local machine
 in different formats: SSH hash, DNS SSHFP RR.

Package: td-system-configure-grub
Architecture: all
Depends: gettext-base,
         ${misc:Depends}
Recommends: grub2-common,
            td-system-maintenance
Description: Helper tool to adjust GRUB configuration
 This program adjusts a GRUB configuration file by applying a configuration
 from a template, and merging the existing configurations settings with
 additional customisations. It can for example be used to set a custom
 screen resolution (GRUB_GFXMODE option) or startup tune (GRUB_INIT_TUNE
 option).
 Warning: This program is meant to be used by expert users! Do not modify
 a working GRUB configuration without knowing how to boot the system from
 a rescue media to fix a broken configuration!

Package: td-get-system-info
Architecture: any
Depends: procps,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Obtain basic system information
 This small program obtains basic status information about the system:
 hostname, uptime, CPU, memory statistics, and networking information.
 The output is printed in machine-readable form, which can be used
 with evaluation in shell scripts for further processing.

Package: td-print-utf8
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Print UTF-8 strings and obtain size/length/width information
 print-utf8 is a simple program to print UTF-8 strings in the console with
 options for indentation, centering, separator as well as size/length/width
 information.

Package: td-misc
Architecture: any
Depends: gettext-base,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: td-print-utf8
Description: Miscellaneous tools
 This package contains two simple tools:
 try-hard runs a command and retries for a given number of times in case
 of error, with a delay between the trials.
 random-sleep waits for a random time, selected from a given interval, with
 support for fractional seconds.

Package: td-system-tools
Architecture: all
Depends: td-fingerprint-ssh-keys (>= ${source:Version}),
         td-misc (>= ${source:Version}),
         td-reset-machine-id  (>= ${source:Version}),
         td-system-info (>= ${source:Version}),
         td-system-maintenance (>= ${source:Version}),
         ${misc:Depends}
Provides: td-system-reset-machine-id
Replaces: td-system-reset-machine-id
Breaks: td-system-reset-machine-id (<< ${source:Version})
Recommends: td-system-configure-grub
Description: Metapackage for system information and maintenance tools
 This package is a metapackage for the system information and maintenance
 tools.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_SYSCONFDIR=/etc

# Use upstream ChangeLog for installation
override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

=== debian/tests/control ===
Tests: 10-print-utf8
Depends: td-print-utf8, figlet

Tests: 20-get-system-info
Depends: td-get-system-info

Tests: 30-system-maintenance
Depends: td-system-maintenance
Restrictions: needs-root, allow-stderr

Tests: 31-reset-machine-id
Depends: td-reset-machine-id
Restrictions: needs-root, allow-stderr

Tests: 40-fingerprint-ssh-keys
Depends: td-fingerprint-ssh-keys

Tests: 41-misc
Depends: td-misc

Tests: 50-system-info-run, 51-system-info-i18n
Depends: td-system-info
